       IDENTIFICATION DIVISION.
       PROGRAM-ID. CblFile1
       AUTHOR. SONAR RULES TESTING MODULE. 
       
       DATE-COMPILED.
      ******************************************************************
      *@ PROGRAM ID: CblFile1                                          *
      *                                                                *
      *
       ENVIRONMENT DIVISION.
      *
       INPUT-OUTPUT SECTION.
      
       DATA DIVISION.
      *
       FILE SECTION.
      *
       WORKING-STORAGE SECTION.
      *
      ******************************************************************
       01 FILLER PIC X(16) VALUE 'SWITCHES        '.
      *
       01 WS-001-ONE-TIME-SWITCHES.
         05 WS-001-XXX-MASTER-SW PIC X(01) VALUE SPACES.
           88 WS-001-XXX-MASTER-ON
              VALUE 'Y'.
      *
         05 WS-001-XXX-MQ-SW PIC X(01) VALUE SPACES.
           88 WS-001-XXX-MQ-ON
              VALUE 'Y'.
       01 WS-999-CLOSE PIC X(01) VALUE 'A'.
       01 WS-999-A PIC X(01) VALUE 'A'.
       01 WS-999-B PIC X(01) VALUE 'B'.
       01 WS-FILE-BUFFERS PIC X(25).
                                                              
      /
       PROCEDURE DIVISION.
      /
       00000-MAINLINE SECTION.
      ******************************************************************
      *                                                                *
      *                      00000-MAINLINE                            *
      *                                                                *
      *    THIS SECTION CONTROLS THE OVERALL LOGIC FLOW OF THE PROGRAM.*
      *                                                                *
      ******************************************************************
       00010-START.
      *
           PERFORM 10000-INITIALIZATION.
           PERFORM 20000-PROCESS-CONTROL.
           PERFORM 88500-HANDLE-DB2-RTN-CD.
           PERFORM 90000-TERMINATION.
           GOBACK.
           
      *
       00099-EXIT.
           EXIT.
           
      /
        COPY CpyFile1.
           
           
       20000-PROCESS-CONTROL SECTION.
      ******************************************************************
      *                   20000-PROCESS-CONTROL                        *
      ******************************************************************
       20010-START.
      *
           IF WS-001-XXX-MASTER-ON
             AND WS-001-XXX-MQ-ON
               CONTINUE
           ELSE
               GO TO 88599-EXIT
           END-IF.
           PERFORM 88500-HANDLE-DB2-RTN-CD.
       20099-EXIT.
           EXIT
           .
      *
       
       90000-TERMINATION SECTION.
      *
      ******************************************************************
      *                                                                *
      *                       90000-TERMINATION                        *
      *                              *
      ******************************************************************
       90010-START.

             PERFORM 88500-HANDLE-DB2-RTN-CD
              IF  WS-999-CLOSE = WS-999-A
                 GO TO 88599-EXIT
              ELSE 
                 GO TO 90099-EXIT
              END-IF.
           
       
       90099-EXIT.
           EXIT.
